Bug 1030505 - Unable to get effective pom when using dependencies defined in jboss-javaee-6.0-with-tools-6.2.0.GA.pom
Unable to get effective pom when using dependencies defined in jboss-javaee-6...
Status: ASSIGNED
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Maven Repository (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity high
: ER1
: EAP 6.3.0
Assigned To: jboss-set
Nikoleta Ziakova
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-14 10:17 EST by Rostislav Svoboda
Modified: 2017-10-09 20:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-28 11:42:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rostislav Svoboda 2013-11-14 10:17:25 EST
https://jenkins.mw.lab.eng.bos.redhat.com/hudson/view/EAP6/view/EAP6-Repository/job/eap-60-repository-maven-check-boms-for-effective-pom/132/testReport/jboss-javaee-6.0-with-tools-6.2.0.GA/pom-BOM-test/jboss_javaee_6_0_with_tools_6_2_0_GA_pom_BOM_test/

Regression agains EAP 6.1.1 GA and previous 6.2.0 ERs.
Working on details, will be attached soon.

Details:
[ERROR] The build could not read 1 project -> [Help 1]
org.apache.maven.project.ProjectBuildingException: Some problems were encountered while processing the POMs:
[ERROR] Non-resolvable import POM: Could not find artifact org.jboss.shrinkwrap.resolver:shrinkwrap-resolver-bom:pom:2.0.0 in central (file:///home/hudson/private_maven_repos/eap-maven-repo-zip-tests/6.2.0.CR1/jboss-eap-6.2.0.GA-maven-repository/) @ org.jboss.bom.eap:jboss-javaee-6.0-with-tools:6.2.0.GA
[ERROR] Non-resolvable import POM: Could not find artifact org.jboss.arquillian:arquillian-bom:pom:1.1.0.Final in central (file:///home/hudson/private_maven_repos/eap-maven-repo-zip-tests/6.2.0.CR1/jboss-eap-6.2.0.GA-maven-repository/) @ org.jboss.bom.eap:jboss-javaee-6.0-with-tools:6.2.0.GA
[ERROR] Non-resolvable import POM: Could not find artifact org.jboss.arquillian.extension:arquillian-drone-bom:pom:1.1.1.Final in central (file:///home/hudson/private_maven_repos/eap-maven-repo-zip-tests/6.2.0.CR1/jboss-eap-6.2.0.GA-maven-repository/) @ org.jboss.bom.eap:jboss-javaee-6.0-with-tools:6.2.0.GA
[ERROR] 'dependencies.dependency.version' for org.jboss.arquillian.extension:arquillian-drone-selenium-depchain:pom is missing. @ line 19, column 13
[ERROR] 'dependencies.dependency.version' for org.jboss.arquillian.extension:arquillian-drone-webdriver-depchain:pom is missing. @ line 20, column 13
[ERROR] 'dependencies.dependency.version' for org.jboss.arquillian.graphene:arquillian-graphene:pom is missing. @ line 21, column 13
[ERROR] 'dependencies.dependency.version' for org.jboss.as:jboss-as-arquillian-container-managed:jar is missing. @ line 22, column 13
[ERROR] 'dependencies.dependency.version' for org.jboss.as:jboss-as-arquillian-container-remote:jar is missing. @ line 23, column 13
[ERROR] 'dependencies.dependency.version' for junit:junit:jar is missing. @ line 24, column 13
[ERROR] 'dependencies.dependency.version' for org.testng:testng:jar is missing. @ line 25, column 13
Comment 1 Paul Gier 2013-11-14 10:31:12 EST
I don't think this is a regression, it looks like the test is not actually looking in Maven central.

[ERROR] Non-resolvable import POM: Could not find artifact org.jboss.shrinkwrap.resolver:shrinkwrap-resolver-bom:pom:2.0.0 in central (file:///home/hudson/private_maven_repos/eap-maven-repo-zip-tests/6.2.0.CR1/jboss-eap-6.2.0.GA-maven-repository/)

This bom is available in central:
http://central.maven.org/maven2/org/jboss/shrinkwrap/resolver/shrinkwrap-resolver-bom/2.0.0/
Comment 2 Rostislav Svoboda 2013-11-14 10:44:53 EST
> it looks like the test is not actually looking in Maven central.

agree

> I don't think this is a regression

It's is really regression. 
linked Jenkins job was always using exploded maven repo zip as the only source of artifacts - using <id>central</id>.

You can check history of https://jenkins.mw.lab.eng.bos.redhat.com/hudson/view/EAP6/view/EAP6-Repository/job/eap-60-repository-maven-check-boms-for-effective-pom/
Comment 3 Rostislav Svoboda 2013-11-14 10:51:15 EST
And I can confirm that when central is enable test pass.
Comment 4 Rostislav Svoboda 2013-11-14 10:53:07 EST
It's really tricky that out test passed with ER6 for example as the are not many changes related to this BOM and its parent BOM.
Comment 5 Rostislav Svoboda 2013-11-14 10:59:42 EST
Removing blocker as missing artifacts are available in central.
Comment 6 Nikoleta Ziakova 2014-06-11 07:33:01 EDT
The test passes since 6.3.0.ER1.

Note You need to log in before you can comment on or make changes to this bug.